FAQ
Hi,
What are the changes I need to make to run ganglia 3.1.7 on hadoop
0.20.2? I have used GangliaContext31, but I think I'll also need to apply
the 4675 patch <https://issues.apache.org/jira/browse/HADOOP-4675>. How do I
apply the patch to my distribution? And which of the patched works best?

thanks,
hari

Search Discussions

  • Brian Bockelman at Nov 12, 2010 at 1:47 pm
    Hi Hari,

    If you have GangliaContext31, then someone has already applied HADOOP-4675. Or are you saying you put it into the hadoop-metrics.properties and it tossed an exception?

    You can read how to apply a patch and build Hadoop here: http://wiki.apache.org/hadoop/HowToContribute

    If you look at the JIRA, you probably want to apply the latest patch if you're using the latest Hadoop code; if you're using an older version than the trunk (like 0.20), you might have to read through and figure out which one corresponds to your release.

    Brian
    On Nov 11, 2010, at 10:36 PM, Hari Sreekumar wrote:

    Hi,
    What are the changes I need to make to run ganglia 3.1.7 on hadoop
    0.20.2? I have used GangliaContext31, but I think I'll also need to apply
    the 4675 patch <https://issues.apache.org/jira/browse/HADOOP-4675>. How do I
    apply the patch to my distribution? And which of the patched works best?

    thanks,
    hari
  • Hari Sreekumar at Nov 12, 2010 at 2:16 pm
    Hi Brian,

    Thank you for the response :)I have used GangliaContext31 in the
    properties file and it did not throw any exception when I start up the
    cluster. Does this mean that my version is patched? Because I am not able to
    see any new metrics in ganglia. What are the additional metrics that ganglia
    shows for hadoop?

    hari
    On Fri, Nov 12, 2010 at 7:17 PM, Brian Bockelman wrote:

    Hi Hari,

    If you have GangliaContext31, then someone has already applied HADOOP-4675.
    Or are you saying you put it into the hadoop-metrics.properties and it
    tossed an exception?

    You can read how to apply a patch and build Hadoop here:
    http://wiki.apache.org/hadoop/HowToContribute

    If you look at the JIRA, you probably want to apply the latest patch if
    you're using the latest Hadoop code; if you're using an older version than
    the trunk (like 0.20), you might have to read through and figure out which
    one corresponds to your release.

    Brian
    On Nov 11, 2010, at 10:36 PM, Hari Sreekumar wrote:

    Hi,
    What are the changes I need to make to run ganglia 3.1.7 on hadoop
    0.20.2? I have used GangliaContext31, but I think I'll also need to apply
    the 4675 patch <https://issues.apache.org/jira/browse/HADOOP-4675>. How do I
    apply the patch to my distribution? And which of the patched works best?

    thanks,
    hari

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupcommon-user @
categorieshadoop
postedNov 12, '10 at 4:36a
activeNov 12, '10 at 2:16p
posts3
users2
websitehadoop.apache.org...
irc#hadoop

2 users in discussion

Hari Sreekumar: 2 posts Brian Bockelman: 1 post

People

Translate

site design / logo © 2022 Grokbase